package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import lombok.Data;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/9/28 10:17 AM
 * @Description:
 **/
@Data
@Api("PLC Redis Cache key")
public class PlcCacheKeyModel {

    private String channel;

    private String device;

    private String tag;

    public PlcCacheKeyModel(String device, String tag) {
        this.device = device;
        this.tag = tag;
    }

    public String getPlcCacheKey() {
        return device + ":" + tag;
    }


}
